QGIS Application - Bug report #3544
Save Selection as Shapefile changes database field info
2011-03-04 12:17 PM - pastephe -

Status: Closed

Priority: Low

Assignee:

Category: Project Loading/Saving

Affected QGIS version:master Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 13604
Description

Using QGIS 1.4 on Debian GNU/Linux, "Save Selection as Shapefile" resulted in Date fields being re-written as Text fields in the resulting
Shapefile.

History

#1 - 2011-03-07 05:26 AM - Giovanni Manghi

What is your original datatsource? the shapefile do not have a "date" datatype.

#2 - 2011-03-07 08:20 AM - pastephe -

The source is a municipal database, | believe. This document indicates dBase has supported the Date format at least since its writing in 2001:
http://www.dbase.com/knowledgebase/int/dateobject/dateobject.htm

In addition, performing the same routine with [[ArcMap]] leaves the Date field intact.

#3 - 2011-12-16 01:49 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#4 - 2012-04-16 06:26 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Target version changed from Version 1.7.4 to Version 1.8.0
- Affected QGIS version set to master

#5 - 2012-09-04 11:59 AM - Paolo Cavallini
- Target version changed from Version 1.8.0 to Version 2.0.0

#6 - 2014-06-28 07:38 AM - Jiirgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#7 - 2015-11-20 04:15 AM - Médéric RIBREUX
- Pull Request or Patch supplied set to No

- Status changed from Open to Closed

- Assignee deleted (nobody -)

- % Done changed from 0 to 100

- Resolution set to fixed/implemented
http://www.dbase.com/knowledgebase/int/dateobject/dateobject.htm

Hello, bug triage...

in QGIS 2.13 master, exporting a layer with Date attribute in Shapefile preserves the Date attribute (tests done from a memory layer to a shapefile). QGis
converts it to a QDate if date formatting is correct.

| am closing this bug.
